/**
* DevExtreme (viz/linear_gauge.d.ts)
* Version: 18.1.7 (build 18332)
* Build date: Wed Nov 28 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxLinearGauge(): JQuery;
    dxLinearGauge(options: "instance"): DevExpress.viz.dxLinearGauge;
    dxLinearGauge(options: string): any;
    dxLinearGauge(options: string, ...params: any[]): any;
    dxLinearGauge(options: DevExpress.viz.gauges.dxLinearGaugeOptions): JQuery;
}
}
export default DevExpress.viz.dxLinearGauge;
export type IOptions = DevExpress.viz.gauges.dxLinearGaugeOptions;